Subject: Rewriting history and public-private-ish branches

From: Jay Levitt <[email-masked]>
Date: Tue, 20 Dec 2011 07:33:10 -0500

I frequently conflate git-as-version-control with git-as-deployer when I'm 
editing on my Mac but testing on a server.  I'll do things like...

Mac: checkout -b origin/topic-branch
Mac: make a major change, commit and push
server: pull
[do while buggy]
   server: discover a typo
   Mac: fix the typo, commit and push
   server: pull
[end]
Mac: squash commits
Mac: checkout master
Mac: merge topic-branch
Mac: branch -d topic-branch
Mac: push origin :topic-branch

As long as I'm the only one who's seen this "published" history, am I doing 
anything bad? Do I leave any residue behind in the repo?

Jay Levitt